package org.jeecg.modules.ctop.job;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.common.module.mapper.CtopOauthTokenMapper;
import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.kuaishou.modules.batch.service.IKuaishouInterfaceService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 获取广告计划分时报表
 */
@Slf4j
public class KuaishouAppListJob implements Job {
    @Autowired
    private IKuaishouInterfaceService kuaishouInterfaceService;

    @Autowired
    private ICtopOauthTokenService oauthTokenService;


    static ExecutorService executorService = Executors.newFixedThreadPool(2);

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {

        Thread thread = new Thread() {
            @Override
            public void run() {
                List<CtopOauthToken> tokens = oauthTokenService.selectKuaiShouToken();
                for (CtopOauthToken token : tokens) {
                    if (Check.isNull(token)) {
                        continue;
                    }
                    executorService.submit(new Runnable() {
                        @Override
                        public void run() {
                            try {
                                kuaishouInterfaceService.getAppList(token.getAccountId(), token.getAccessToken());
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                        }
                    });
                }

            }

        };
        thread.start();


    }
}
