package cn.com.ctop.bytedance.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 素材报表
 * @author jeecg-boot
 * @date   2020-04-16
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_report_material_daily")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_bytedance_report_material_daily对象", description="素材报表")
public class BytedanceReportMaterialDaily {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	/**广告主id*/
	@Excel(name = "广告主id", width = 15)
    @ApiModelProperty(value = "广告主id")
	private Long accountId;
	/**数据起始时间1*/
	@Excel(name = "数据起始时间1", width = 15)
    @ApiModelProperty(value = "数据起始时间1")
	private String statDatetime;
	///**展示量*/
	//@Excel(name = "展示量", width = 15)
    //@ApiModelProperty(value = "展示量")
	//private Integer showNum;
	/**点击量1*/
	@Excel(name = "点击量1", width = 15)
    @ApiModelProperty(value = "点击量1")
	private Integer click;
	///**转化量*/
	//@Excel(name = "转化量", width = 15)
    //@ApiModelProperty(value = "转化量")
	//private Integer convertNum;
	/**总花费1*/
	@Excel(name = "总花费1", width = 15)
    @ApiModelProperty(value = "总花费1")
	private java.math.BigDecimal cost;
	/**应用下载-激活1*/
	@Excel(name = "应用下载-激活1", width = 15)
    @ApiModelProperty(value = "应用下载-激活1")
	private Integer active;
	/**应用下载-安卓下载完成1*/
	@Excel(name = "应用下载-安卓下载完成1", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载完成1")
	private Integer downloadFinish;
	/**应用下载-安卓下载开始1*/
	@Excel(name = "应用下载-安卓下载开始1", width = 15)
    @ApiModelProperty(value = "应用下载-安卓下载开始1")
	private Integer downloadStart;
	///**应用下载-点击安装数*/
	//@Excel(name = "应用下载-点击安装数", width = 15)
    //@ApiModelProperty(value = "应用下载-点击安装数")
	//private Integer clickInstall;
	/**应用下载-安卓安装完成*/
	@Excel(name = "应用下载-安卓安装完成", width = 15)
    @ApiModelProperty(value = "应用下载-安卓安装完成")
	private Integer installFinish;
	/**应用下载-注册1*/
	@Excel(name = "应用下载-注册1", width = 15)
    @ApiModelProperty(value = "应用下载-注册1")
	private Integer register;
	/**应用下载-付费数1*/
	@Excel(name = "应用下载-付费数1", width = 15)
    @ApiModelProperty(value = "应用下载-付费数1")
	private Integer payCount;
	/**应用下载-到达uv1*/
	@Excel(name = "应用下载-到达uv1", width = 15)
    @ApiModelProperty(value = "应用下载-到达uv1")
	private Integer inAppUv;
	/**应用下载-详情页到站uv1*/
	@Excel(name = "应用下载-详情页到站uv1", width = 15)
    @ApiModelProperty(value = "应用下载-详情页到站uv1")
	private Integer inAppDetailUv;
	/**应用下载-加入购物车1*/
	@Excel(name = "应用下载-加入购物车1", width = 15)
    @ApiModelProperty(value = "应用下载-加入购物车1")
	private Integer inAppCart;
	/**应用下载-提交订单1*/
	@Excel(name = "应用下载-提交订单1", width = 15)
    @ApiModelProperty(value = "应用下载-提交订单1")
	private Integer inAppOrder;
	/**应用下载-付费1*/
	@Excel(name = "应用下载-付费1", width = 15)
    @ApiModelProperty(value = "应用下载-付费1")
	private Integer inAppPay;
	/**落地页-电话拨打数1*/
	@Excel(name = "落地页-电话拨打数1", width = 15)
    @ApiModelProperty(value = "落地页-电话拨打数1")
	private Integer phone;
	/**表单提交数1*/
	@Excel(name = "表单提交数1", width = 15)
    @ApiModelProperty(value = "表单提交数1")
	private Integer form;
	/**落地页-地图搜索1*/
	@Excel(name = "落地页-地图搜索1", width = 15)
    @ApiModelProperty(value = "落地页-地图搜索1")
	private Integer mapSearch;
	/**落地页-按钮button1*/
	@Excel(name = "落地页-按钮button1", width = 15)
    @ApiModelProperty(value = "落地页-按钮button1")
	private Integer button;
	/**落地页-关键页面浏览1*/
	@Excel(name = "落地页-关键页面浏览1", width = 15)
    @ApiModelProperty(value = "落地页-关键页面浏览1")
	private Integer viewMaterial;
	/**落地页-QQ咨询数1*/
	@Excel(name = "落地页-QQ咨询数1", width = 15)
    @ApiModelProperty(value = "落地页-QQ咨询数1")
	private Integer qq;
	/**落地页-抽奖数1*/
	@Excel(name = "落地页-抽奖数1", width = 15)
    @ApiModelProperty(value = "落地页-抽奖数1")
	private Integer lottery;
	/**落地页-投票1*/
	@Excel(name = "落地页-投票1", width = 15)
    @ApiModelProperty(value = "落地页-投票1")
	private Integer vote;
	/**落地页-页面跳转1*/
	@Excel(name = "落地页-页面跳转1", width = 15)
    @ApiModelProperty(value = "落地页-页面跳转1")
	private Integer redirect;
	/**落地页-商品购买1*/
	@Excel(name = "落地页-商品购买1", width = 15)
    @ApiModelProperty(value = "落地页-商品购买1")
	private Integer shopping;
	/**落地页-在线咨询1*/
	@Excel(name = "落地页-在线咨询1", width = 15)
    @ApiModelProperty(value = "落地页-在线咨询1")
	private Integer consult;
	/**落地页-微信1*/
	@Excel(name = "落地页-微信1", width = 15)
    @ApiModelProperty(value = "落地页-微信1")
	private Integer wechat;
	/**落地页-智能电话确认拨打1*/
	@Excel(name = "落地页-智能电话确认拨打1", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认拨打1")
	private Integer phoneConfirm;
	/**落地页-智能电话确认接通1*/
	@Excel(name = "落地页-智能电话确认接通1", width = 15)
    @ApiModelProperty(value = "落地页-智能电话确认接通1")
	private Integer phoneConnect;
	/**落地页-智能电话有效咨询1*/
	@Excel(name = "落地页-智能电话有效咨询1", width = 15)
    @ApiModelProperty(value = "落地页-智能电话有效咨询1")
	private Integer consultEffective;
	/**视频-总播放1*/
	@Excel(name = "视频-总播放1", width = 15)
    @ApiModelProperty(value = "视频-总播放1")
	private Integer totalPlay;
	/**视频-有效播放1*/
	@Excel(name = "视频-有效播放1", width = 15)
    @ApiModelProperty(value = "视频-有效播放1")
	private Integer validPlay;
	/**视频-wifi播放1*/
	@Excel(name = "视频-wifi播放1", width = 15)
    @ApiModelProperty(value = "视频-wifi播放1")
	private Integer wifiPlay;
	/**视频-播放时长，单位ms1*/
	@Excel(name = "视频-播放时长，单位ms1", width = 15)
    @ApiModelProperty(value = "视频-播放时长，单位ms1")
	private Integer playDurationSum;
	/**视频-播放25%进度总数1*/
	@Excel(name = "视频-播放25%进度总数1", width = 15)
    @ApiModelProperty(value = "视频-播放25%进度总数1")
	private Integer play25FeedBreak;
	/**视频-播放50%进度总数1*/
	@Excel(name = "视频-播放50%进度总数1", width = 15)
    @ApiModelProperty(value = "视频-播放50%进度总数1")
	private Integer play50FeedBreak;
	/**视频-播放75%进度总数*/
	@Excel(name = "视频-播放75%进度总数", width = 15)
    @ApiModelProperty(value = "视频-播放75%进度总数")
	private Integer play75FeedBreak;
	/**视频-播放100%进度总数1*/
	@Excel(name = "视频-播放100%进度总数1", width = 15)
    @ApiModelProperty(value = "视频-播放100%进度总数1")
	private Integer play100FeedBreak;
	/**附加创意-电话按钮1*/
	@Excel(name = "附加创意-电话按钮1", width = 15)
    @ApiModelProperty(value = "附加创意-电话按钮1")
	private Integer advancedCreativePhoneClick;
	/**附加创意-在线咨询1*/
	@Excel(name = "附加创意-在线咨询1", width = 15)
    @ApiModelProperty(value = "附加创意-在线咨询1")
	private Integer advancedCreativeCounselClick;
	/**附加创意-表单提交1*/
	@Excel(name = "附加创意-表单提交1", width = 15)
    @ApiModelProperty(value = "附加创意-表单提交1")
	private Integer advancedCreativeFormClick;
	/**互动数据-分享数1*/
	@Excel(name = "互动数据-分享数1", width = 15)
    @ApiModelProperty(value = "互动数据-分享数1")
	private Integer shareMaterial;
	/**互动数据-评论数1*/
	@Excel(name = "互动数据-评论数1", width = 15)
    @ApiModelProperty(value = "互动数据-评论数1")
	private Integer commentMaterial;
	///**互动数据-点赞数*/
	//@Excel(name = "互动数据-点赞数", width = 15)
    //@ApiModelProperty(value = "互动数据-点赞数")
	//private Integer likeNum;
	/**互动数据-关注数1*/
	@Excel(name = "互动数据-关注数1", width = 15)
    @ApiModelProperty(value = "互动数据-关注数1")
	private Integer follow;
	/**互动数据-主页访问量1*/
	@Excel(name = "互动数据-主页访问量1", width = 15)
    @ApiModelProperty(value = "互动数据-主页访问量1")
	private Integer homeVisited;
	/**互动数据-挑战赛查看数1*/
	@Excel(name = "互动数据-挑战赛查看数1", width = 15)
    @ApiModelProperty(value = "互动数据-挑战赛查看数1")
	private Integer iesChallengeClick;
	/**互动数据-音乐查看数1*/
	@Excel(name = "互动数据-音乐查看数1", width = 15)
    @ApiModelProperty(value = "互动数据-音乐查看数1")
	private Integer iesMusicClick;
	///**互动数据-单次互动成本*/
	//@Excel(name = "互动数据-单次互动成本", width = 15)
    //@ApiModelProperty(value = "互动数据-单次互动成本")
	//private java.math.BigDecimal interactPerCost;
	/**次留数1*/
	@Excel(name = "次留数1", width = 15)
    @ApiModelProperty(value = "次留数1")
	private Integer nextDayOpen;
	/**次留率1*/
	@Excel(name = "次留率1", width = 15)
    @ApiModelProperty(value = "次留率1")
	private java.math.BigDecimal nextDayOpenRate;
	/**次留成本*/
	@Excel(name = "次留成本", width = 15)
    @ApiModelProperty(value = "次留成本")
	private java.math.BigDecimal nextDayOpenCost;
	///**createTime*/
    //@ApiModelProperty(value = "createTime")
	//private Date createTime;
	///**updateTime*/
    //@ApiModelProperty(value = "updateTime")
	//private Date updateTime;
	/**素材类型*/
	@Excel(name = "素材类型", width = 15)
    @ApiModelProperty(value = "素材类型")
	private String imageMode;
	/**素材id*/
	@Excel(name = "素材id", width = 15)
    @ApiModelProperty(value = "素材id")
	private Long materialId;
	/**投放位置*/
	@Excel(name = "投放位置", width = 15)
    @ApiModelProperty(value = "投放位置")
	private String inventory;
	/**activePayAmount*/
	@Excel(name = "activePayAmount", width = 15)
    @ApiModelProperty(value = "activePayAmount")
	private Integer activePayAmount;
	/**validPlayCost*/
	@Excel(name = "validPlayCost", width = 15)
    @ApiModelProperty(value = "validPlayCost")
	private java.math.BigDecimal validPlayCost;
	/**advancedCreativeCouponAddition*/
	@Excel(name = "advancedCreativeCouponAddition", width = 15)
    @ApiModelProperty(value = "advancedCreativeCouponAddition")
	private Integer advancedCreativeCouponAddition;
	/**convert*/
	@Excel(name = "convert", width = 15)
    @ApiModelProperty(value = "convert")
	private Integer convertMaterial;
	/**activePayCost*/
	@Excel(name = "activePayCost", width = 15)
    @ApiModelProperty(value = "activePayCost")
	private java.math.BigDecimal activePayCost;
	/**download*/
	@Excel(name = "download", width = 15)
    @ApiModelProperty(value = "download")
	private Integer download;
	/**cpa*/
	@Excel(name = "cpa", width = 15)
    @ApiModelProperty(value = "cpa")
	private java.math.BigDecimal cpa;
	/**cpc*/
	@Excel(name = "cpc", width = 15)
    @ApiModelProperty(value = "cpc")
	private java.math.BigDecimal cpc;
	/**locationClick*/
	@Excel(name = "locationClick", width = 15)
    @ApiModelProperty(value = "locationClick")
	private Integer locationClick;
	/**playOverRate*/
	@Excel(name = "playOverRate", width = 15)
    @ApiModelProperty(value = "playOverRate")
	private java.math.BigDecimal playOverRate;
	/**ctr*/
	@Excel(name = "ctr", width = 15)
    @ApiModelProperty(value = "ctr")
	private java.math.BigDecimal ctr;
	/**cpm*/
	@Excel(name = "cpm", width = 15)
    @ApiModelProperty(value = "cpm")
	private java.math.BigDecimal cpm;
	/**wifiPlayRate*/
	@Excel(name = "wifiPlayRate", width = 15)
    @ApiModelProperty(value = "wifiPlayRate")
	private java.math.BigDecimal wifiPlayRate;
	/**like*/
	@Excel(name = "like", width = 15)
    @ApiModelProperty(value = "like")
	private Integer likeMaterial;
	/**activePayRate*/
	@Excel(name = "activePayRate", width = 15)
    @ApiModelProperty(value = "activePayRate")
	private java.math.BigDecimal activePayRate;
	/**activeCost*/
	@Excel(name = "activeCost", width = 15)
    @ApiModelProperty(value = "activeCost")
	private java.math.BigDecimal activeCost;
	/**gameAddictionCost*/
	@Excel(name = "gameAddictionCost", width = 15)
    @ApiModelProperty(value = "gameAddictionCost")
	private java.math.BigDecimal gameAddictionCost;
	/**gameAddiction*/
	@Excel(name = "gameAddiction", width = 15)
    @ApiModelProperty(value = "gameAddiction")
	private Integer gameAddiction;
	/**activeRate*/
	@Excel(name = "activeRate", width = 15)
    @ApiModelProperty(value = "activeRate")
	private java.math.BigDecimal activeRate;
	/**playDuration10s*/
	@Excel(name = "playDuration10s", width = 15)
    @ApiModelProperty(value = "playDuration10s")
	private Integer playDuration_10s;
	/**phoneEffective*/
	@Excel(name = "phoneEffective", width = 15)
    @ApiModelProperty(value = "phoneEffective")
	private Integer phoneEffective;
	/**gameAddictionRate*/
	@Excel(name = "gameAddictionRate", width = 15)
    @ApiModelProperty(value = "gameAddictionRate")
	private java.math.BigDecimal gameAddictionRate;
	/**activeRegisterRate*/
	@Excel(name = "activeRegisterRate", width = 15)
    @ApiModelProperty(value = "activeRegisterRate")
	private java.math.BigDecimal activeRegisterRate;
	/**averageVideoPlay*/
	@Excel(name = "averageVideoPlay", width = 15)
    @ApiModelProperty(value = "averageVideoPlay")
	private java.math.BigDecimal averageVideoPlay;
	/**downloadFinishCost*/
	@Excel(name = "downloadFinishCost", width = 15)
    @ApiModelProperty(value = "downloadFinishCost")
	private java.math.BigDecimal downloadFinishCost;
	/**playDuration3s*/
	@Excel(name = "playDuration3s", width = 15)
    @ApiModelProperty(value = "playDuration3s")
	private Integer playDuration_3s;
	/**activeRegisterCost*/
	@Excel(name = "activeRegisterCost", width = 15)
    @ApiModelProperty(value = "activeRegisterCost")
	private java.math.BigDecimal activeRegisterCost;
	/**show*/
	@Excel(name = "show", width = 15)
    @ApiModelProperty(value = "show")
	private Integer showMaterial;
	/**convertRate*/
	@Excel(name = "convertRate", width = 15)
    @ApiModelProperty(value = "convertRate")
	private java.math.BigDecimal convertRate;
	/**downloadFinishRate*/
	@Excel(name = "downloadFinishRate", width = 15)
    @ApiModelProperty(value = "downloadFinishRate")
	private java.math.BigDecimal downloadFinishRate;
	/**installFinishRate*/
	@Excel(name = "installFinishRate", width = 15)
    @ApiModelProperty(value = "installFinishRate")
	private java.math.BigDecimal installFinishRate;
	/**coupon*/
	@Excel(name = "coupon", width = 15)
    @ApiModelProperty(value = "coupon")
	private Integer coupon;
	/**couponSinglePage*/
	@Excel(name = "couponSinglePage", width = 15)
    @ApiModelProperty(value = "couponSinglePage")
	private Integer couponSinglePage;
	///**installFinsih*/
	//@Excel(name = "installFinsih", width = 15)
    //@ApiModelProperty(value = "installFinsih")
	//private Integer installFinsih;
	/**playOver*/
	@Excel(name = "playOver", width = 15)
    @ApiModelProperty(value = "playOver")
	private Integer playOver;
	/**downloadStartCost*/
	@Excel(name = "downloadStartCost", width = 15)
    @ApiModelProperty(value = "downloadStartCost")
	private java.math.BigDecimal downloadStartCost;
	/**message*/
	@Excel(name = "message", width = 15)
    @ApiModelProperty(value = "message")
	private Integer message;
	/**playDuration*/
	@Excel(name = "playDuration", width = 15)
    @ApiModelProperty(value = "playDuration")
	private Integer playDuration;
	/**validPlayRate*/
	@Excel(name = "validPlayRate", width = 15)
    @ApiModelProperty(value = "validPlayRate")
	private java.math.BigDecimal validPlayRate;
	/**averagePlayTimePerPlay*/
	@Excel(name = "averagePlayTimePerPlay", width = 15)
    @ApiModelProperty(value = "averagePlayTimePerPlay")
	private java.math.BigDecimal averagePlayTimePerPlay;
	/**convertCost*/
	@Excel(name = "convertCost", width = 15)
    @ApiModelProperty(value = "convertCost")
	private java.math.BigDecimal convertCost;
	/**convertShowRate*/
	@Excel(name = "convertShowRate", width = 15)
    @ApiModelProperty(value = "convertShowRate")
	private java.math.BigDecimal convertShowRate;
	/**installFinishCost*/
	@Excel(name = "installFinishCost", width = 15)
    @ApiModelProperty(value = "installFinishCost")
	private java.math.BigDecimal installFinishCost;

	private BigDecimal downloadStartRate;
}
